## qtquick1-opensource-src 5.0.1

=== tests/auto/cmake/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(qmake_cmake_files)

enable_testing()

find_package(Qt5Core REQUIRED)

include("${_Qt5CTestMacros}")

set(Qt5_MODULE_TEST_DEPENDS Script Widgets)

test_module_includes(
  Declarative QDeclarativeEngine
)

=== debian/changelog ===
qtquick1-opensource-src (5.0.1-0ubuntu1) raring; urgency=low

  [ Timo Jyrinki ]
  * Initial release.
  * Cherry-pick from upstream:
    - add_license_files.patch

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 14 Feb 2013 09:06:25 +0100

=== debian/control ===
Source: qtquick1-opensource-src
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1),
               pkg-kde-tools,
               qtbase5-private-dev (>= 5.0.1~),
               qtscript5-private-dev (>= 5.0.1~),
               libqt5v8-5-private-dev (>= 5.0.1~),
               qtdeclarative5-private-dev (>= 5.0.1~),
               libqt5opengl5-dev (>= 5.0.1~),
               libqt5webkit5-dev (>= 5.0.1~),
               libgstreamer0.10-dev, 
               libxml2-dev,
               libxslt1-dev,
               libgstreamer-plugins-base0.10-dev,
               libsqlite3-dev,
               qt5-default,
               qtlocation5-dev,
               qtsensors5-dev,
Standards-Version: 3.9.4
Homepage: http://qt-project.org/

Package: libqt5declarative5
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Quick 1 module for Qt 5
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains library files for the older Qt Quick 1 
 (Qt Declarative) on Qt 5.

Package: qtquick1-5-dev-tools
Section: libdevel
Architecture: any
Multi-Arch: foreign
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: libqt5declarative5 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Qt Quick 1 tools
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development programs for Qt Quick 1 on Qt 5.

Package: qtquick1-5-dev
Architecture: any
Section: libdevel
Depends: libqt5declarative5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt Quick 1 development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files for building 
 Qt Quick 1 applications on Qt 5.

Package: qtquick1-5-examples
Architecture: any
Multi-Arch: same
Section: x11
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Quick 1 examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt Quick 1 examples for Qt 5.

Package: qtquick1-5-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libqt5declarative5 (= ${binary:Version}),
         qtquick1-5-examples (= ${binary:Version}),
         ${misc:Depends}
Description: Qt Quick 1 library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt Quick 1
 libraries on Qt 5.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@ --list-missing --parallel --with pkgkde_symbolshelper --dbg-package=qtquick1-5-dbg

override_dh_auto_configure:
	qmake 

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://origin.releases.qt-project.org/qt5/([\d\.]*)/submodules_tar/qtquick1-opensource-src-([^-]*)\.tar.xz

## qtquick1-opensource-src 5.0.2

=== debian/changelog ===
qtquick1-opensource-src (5.0.2-0ubuntu1) saucy; urgency=low

  * Fix pkgconfig Libs.private path (LP: #1125156) 
  * New upstream version. 
    - Drop debian/patches/add_license_files.patch, merged upstream
    - Depend on 5.0.2 versions except for qtwebkit for now

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 02 May 2013 10:19:11 -0700

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.0.1~),
-               qtscript5-private-dev (>= 5.0.1~),
-               libqt5v8-5-private-dev (>= 5.0.1~),
-               qtdeclarative5-private-dev (>= 5.0.1~),
-               libqt5opengl5-dev (>= 5.0.1~),
+               qtbase5-private-dev (>= 5.0.2~),
+               qtscript5-private-dev (>= 5.0.2~),
+               libqt5v8-5-private-dev (>= 5.0.2~),
+               qtdeclarative5-private-dev (>= 5.0.2~),
+               libqt5opengl5-dev (>= 5.0.2~),
                libqt5webkit5-dev (>= 5.0.1~),
                libgstreamer0.10-dev, 
                libxml2-dev,

=== debian/rules ===
--- 
+++ 
@@ -13,5 +13,11 @@
 override_dh_auto_configure:
 	qmake 
 
+override_dh_auto_install:
+	dh_auto_install
+	# Fix wrong path in pkgconfig files
+	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
+	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;
+
 override_dh_builddeb:
 	dh_builddeb -- -Zxz

## qtquick1-opensource-src 5.2.0

=== debian/changelog ===
qtquick1-opensource-src (5.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.
  * Remove new private stuff we are not shipping.
  * Recreate symbols that used the qreal substitution.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 19 Dec 2013 16:18:14 -0300

qtquick1-opensource-src (5.1.1-2) unstable; urgency=low

  [ Pino Toscano ]
  * Update symbols file.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 14 Sep 2013 14:34:50 -0300

qtquick1-opensource-src (5.1.1-1) unstable; urgency=low

  * New upstream release.
  * Tighten Qt 5 build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 02 Sep 2013 12:09:29 -0300

qtquick1-opensource-src (5.1.0-2) unstable; urgency=low

  * Upload to unstable.
  * Improve the copyright file:
    - Add myself to the Debian stuff.
    - Use 2012-2013 for Digia's copyrights.
  * Update symbols file.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 12 Aug 2013 15:42:38 -0300

qtquick1-opensource-src (5.1.0-1) experimental; urgency=low

  * New upstream release.
  * Fix watch file.
  * Bump Qt build dependencies to 5.1.0~.
  * Update install files.
  * Update symbols file.
  * Make qtquick1-5-dbg M-A: same, to allow coinstalability of debugging
    symbols.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 16 Jul 2013 10:48:15 -0300

qtquick1-opensource-src (5.0.2-2) experimental; urgency=low

  * Split QML plugins in their own package.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 02 Jun 2013 11:46:35 -0300

qtquick1-opensource-src (5.0.2-1) experimental; urgency=low

  * Initial release (Closes: #697509).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 02 Jun 2013 10:15:44 -0300

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,30 @@
 Source: qtquick1-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Fathi Boudra <fabo@debian.org>,
+           Modestas Vainius <modax@debian.org>,
+           Sune Vuorela <debian@pusling.com>,
+           Pino Toscano <pino@debian.org>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+           Timo Jyrinki <timo@debian.org>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.0.2~),
-               qtscript5-private-dev (>= 5.0.2~),
-               libqt5v8-5-private-dev (>= 5.0.2~),
-               qtdeclarative5-private-dev (>= 5.0.2~),
-               libqt5opengl5-dev (>= 5.0.2~),
-               libqt5webkit5-dev (>= 5.0.1~),
+               qtbase5-private-dev (>= 5.2.0+dfsg~),
+               qtscript5-private-dev (>= 5.2.0~),
+               qtdeclarative5-private-dev (>= 5.2.0~),
+               libqt5opengl5-dev (>= 5.2.0+dfsg~),
+               libqt5webkit5-dev (>= 5.2.0+dfsg~),
                libgstreamer0.10-dev, 
                libxml2-dev,
                libxslt1-dev,
                libgstreamer-plugins-base0.10-dev,
-               libsqlite3-dev,
-               qt5-default,
-               qtlocation5-dev,
-               qtsensors5-dev,
+               libsqlite3-dev
 Standards-Version: 3.9.4
 Homepage: http://qt-project.org/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtquick1.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtquick1.git;a=summary
 
 Package: libqt5declarative5
 Architecture: any
@@ -35,12 +38,39 @@
  This package contains library files for the older Qt Quick 1 
  (Qt Declarative) on Qt 5.
 
+Package: qtquick1-qmltooling-plugins
+Architecture: any
+Multi-Arch: same
+Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Depends: libqt5declarative5 (= ${binary:Version}),
+ ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 5 QtQuick1 qmltooling plugins
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains qmltooling plugins.
+
+Package: qtquick1-qml-plugins
+Architecture: any
+Multi-Arch: same
+Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Depends: libqt5declarative5 (= ${binary:Version}),
+ ${misc:Depends}, ${shlibs:Depends}
+Breaks: libqt5declarative5 (<< 5.0.2-2~)
+Replaces: libqt5declarative5 (<< 5.0.2-2~)
+Description: Qt 5 QtQuick1 qml plugins
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains qml plugins.
+
 Package: qtquick1-5-dev-tools
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
-Depends: libqt5declarative5 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: dpkg (>= 1.15.6~)
+Depends: qtchooser, libqt5declarative5 (= ${binary:Version}),
+ ${misc:Depends}, ${shlibs:Depends}
 Description: Qt Quick 1 tools
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -52,7 +82,6 @@
 Section: libdevel
 Depends: libqt5declarative5 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
 Description: Qt Quick 1 development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -75,10 +104,11 @@
 Package: qtquick1-5-dbg
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Section: debug
 Depends: libqt5declarative5 (= ${binary:Version}),
-         qtquick1-5-examples (= ${binary:Version}),
          ${misc:Depends}
+Suggests: qtquick1-5-examples (= ${binary:Version}),
 Description: Qt Quick 1 library debugging symbols
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

%:
	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtquick1-5-dbg

override_dh_auto_configure:
	qmake 

override_dh_auto_install:
	dh_auto_install

	# Remove stuff that we don't ship.
	# Private headers.
	rm -vrf debian/tmp/usr/include/qt5/QtDeclarative/5.?.?/QtDeclarative/private
	# And other private stuff.
	rm -fv debian/tmp/usr/share/qt5/mkspecs/modules/qt_lib_declarative_private.pri
	# libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;

override_dh_install:
	dh_install --fail-missing

override_dh_builddeb:
	dh_builddeb -- -Zxz

## qtquick1-opensource-src 5.2.1

=== tests/auto/cmake/CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,6 @@
 
 include("${_Qt5CTestMacros}")
 
-set(Qt5_MODULE_TEST_DEPENDS Script Widgets)
-
 test_module_includes(
   Declarative QDeclarativeEngine
 )

=== debian/changelog ===
qtquick1-opensource-src (5.2.1-1ubuntu1) trusty; urgency=medium

  * Rebuild against qtwebkit 5.1.1-1ubuntu6.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 13 Mar 2014 22:16:53 -0400

qtquick1-opensource-src (5.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.
  * No symbols changes since last upload.
  * Add libicu-dev as build dependency, as it now seems required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 22 Feb 2014 17:24:33 -0300

qtquick1-opensource-src (5.2.0-2) unstable; urgency=low

  [ Pino Toscano ]
  * Make qtquick1-5-dev depend on qtbase5-dev.
  * Remove the Pre-Depends on dpkg >= 1.15.6~, since that version is available
    in Squeeze already.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.
  * Move mkspec files to their new location.
    - B-D on qtbase5-private-dev 5.2.0+dfsg-7 which changed the location.
  * Update Standards-Version to 3.9.5, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 01 Feb 2014 14:27:29 -0300

=== debian/control ===
Source: qtquick1-opensource-src
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1),
               libgstreamer-plugins-base0.10-dev,
               libgstreamer0.10-dev,
               libicu-dev,
               libqt5opengl5-dev (>= 5.2.1+dfsg~),
               libqt5webkit5-dev (>= 5.1.1-1ubuntu1),
               libsqlite3-dev,
               libxml2-dev,
               libxslt1-dev,
               pkg-kde-tools,
               qtbase5-private-dev (>= 5.2.1+dfsg~),
               qtdeclarative5-private-dev (>= 5.2.1~),
               qtscript5-private-dev (>= 5.2.1~)
Standards-Version: 3.9.5
Homepage: http://qt-project.org/
Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtquick1.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtquick1.git;a=summary

Package: libqt5declarative5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Quick 1 module for Qt 5
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains library files for the older Qt Quick 1
 (Qt Declarative) on Qt 5.

Package: qtquick1-qmltooling-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt5declarative5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 5 QtQuick1 qmltooling plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains qmltooling plugins.

Package: qtquick1-qml-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt5declarative5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libqt5declarative5 (<< 5.0.2-2~)
Replaces: libqt5declarative5 (<< 5.0.2-2~)
Description: Qt 5 QtQuick1 qml plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains qml plugins.

Package: qtquick1-5-dev-tools
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libqt5declarative5 (= ${binary:Version}),
         qtchooser,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt Quick 1 tools
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development programs for Qt Quick 1 on Qt 5.

Package: qtquick1-5-dev
Architecture: any
Section: libdevel
Depends: libqt5declarative5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
Description: Qt Quick 1 development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files for building
 Qt Quick 1 applications on Qt 5.

Package: qtquick1-5-examples
Architecture: any
Multi-Arch: same
Section: x11
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Quick 1 examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt Quick 1 examples for Qt 5.

Package: qtquick1-5-dbg
Priority: extra
Architecture: any
Multi-Arch: same
Section: debug
Depends: libqt5declarative5 (= ${binary:Version}), ${misc:Depends}
Suggests: qtquick1-5-examples (= ${binary:Version})
Description: Qt Quick 1 library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt Quick 1
 libraries on Qt 5.

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	# Private headers.
 	rm -vrf debian/tmp/usr/include/qt5/QtDeclarative/5.?.?/QtDeclarative/private
 	# And other private stuff.
-	rm -fv debian/tmp/usr/share/qt5/mkspecs/modules/qt_lib_declarative_private.pri
+	rm -fv debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_declarative_private.pri
 	# libtool-like files
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

=== debian/watch ===
version=3
http://download.qt-project.org/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtquick1-opensource-src-([^-]*)\.tar.xz

## qtquick1-opensource-src 5.3.0

=== debian/changelog ===
qtquick1-opensource-src (5.3.0-4) unstable; urgency=medium

  * Update symbols files with buildds' and current logs (Closes: #746897).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 14 Jun 2014 18:45:27 -0300

qtquick1-opensource-src (5.3.0-3) unstable; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 08 Jun 2014 22:38:39 -0300

qtquick1-opensource-src (5.3.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildds' and current logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 06 Jun 2014 13:33:36 -0300

qtquick1-opensource-src (5.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.
  * Move headers to their new m-a path. Mark development package as
    Multi-Arch: same.
  * Improve mark_private_symbols.sh to be able to show private symbols not
    marked as such at build time. Modify debian/rules accordingly.
  * Do not override dh_builddeb, xz is now the default compression method.
  * Update install files.
  * Update debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 29 May 2014 18:39:47 -0300

qtquick1-opensource-src (5.2.1-3) unstable; urgency=medium

  * Upload to unstable.
  * Add license to mark_private_symbols.sh and corresponding entry in
    debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 25 Mar 2014 11:24:54 -0300

qtquick1-opensource-src (5.2.1-2) experimental; urgency=medium

  * Install private headers, needed by Qt Creator.
    - Add script to mark private symbols as such.
    - Modify symbols file to make users of private symbols to depend on
      qtquick-abi-5-2-1.
    - Mark private symbols as such.
  * Simplify qtquick1-5-dev.install.
  * Update symbols files with current and buildd's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 01 Mar 2014 18:10:25 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qtquick1-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Sune Vuorela <debian@pusling.com>,
@@ -14,15 +13,15 @@
                libgstreamer-plugins-base0.10-dev,
                libgstreamer0.10-dev,
                libicu-dev,
-               libqt5opengl5-dev (>= 5.2.1+dfsg~),
-               libqt5webkit5-dev (>= 5.1.1-1ubuntu1),
+               libqt5opengl5-dev (>= 5.3.0+dfsg~),
+               libqt5webkit5-dev (>= 5.3.0+dfsg~),
                libsqlite3-dev,
                libxml2-dev,
                libxslt1-dev,
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.2.1+dfsg~),
-               qtdeclarative5-private-dev (>= 5.2.1~),
-               qtscript5-private-dev (>= 5.2.1~)
+               qtbase5-private-dev (>= 5.3.0+dfsg~),
+               qtdeclarative5-private-dev (>= 5.3.0~),
+               qtscript5-private-dev (>= 5.3.0~)
 Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtquick1.git
@@ -33,6 +32,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Provides: qtquick1-abi-5-2-1
 Description: Qt Quick 1 module for Qt 5
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -84,6 +84,7 @@
 
 Package: qtquick1-5-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libqt5declarative5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
 Description: Qt Quick 1 development files
@@ -92,6 +93,17 @@
  .
  This package contains the development files for building
  Qt Quick 1 applications on Qt 5.
+
+Package: qtquick1-5-private-dev
+Architecture: any
+Section: libdevel
+Depends: libqt5declarative5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
+Description: Qt Quick 1 private development files
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the private development files for building
+ Qt Quick 1 applications on Qt 5. Use at your own risk.
 
 Package: qtquick1-5-examples
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -17,11 +17,6 @@
 override_dh_auto_install:
 	dh_auto_install
 
-	# Remove stuff that we don't ship.
-	# Private headers.
-	rm -vrf debian/tmp/usr/include/qt5/QtDeclarative/5.?.?/QtDeclarative/private
-	# And other private stuff.
-	rm -fv debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_declarative_private.pri
 	# libtool-like files
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 
@@ -32,5 +27,7 @@
 override_dh_install:
 	dh_install --fail-missing
 
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
+override_dh_makeshlibs:
+	dh_makeshlibs
+	# Check for private symbols not marked as such. Be verbose.
+	DEBUG=1 debian/mark_private_symbols.sh

## qtquick1-opensource-src 5.3.1

=== debian/changelog ===
qtquick1-opensource-src (5.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 30 Jun 2014 16:03:16 -0300

=== debian/control ===
--- 
+++ 
@@ -13,15 +13,15 @@
                libgstreamer-plugins-base0.10-dev,
                libgstreamer0.10-dev,
                libicu-dev,
-               libqt5opengl5-dev (>= 5.3.0+dfsg~),
-               libqt5webkit5-dev (>= 5.3.0+dfsg~),
+               libqt5opengl5-dev (>= 5.3.1+dfsg-2~),
+               libqt5webkit5-dev (>= 5.3.1+dfsg~),
                libsqlite3-dev,
                libxml2-dev,
                libxslt1-dev,
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.3.0+dfsg~),
-               qtdeclarative5-private-dev (>= 5.3.0~),
-               qtscript5-private-dev (>= 5.3.0~)
+               qtbase5-private-dev (>= 5.3.1+dfsg-1~),
+               qtdeclarative5-private-dev (>= 5.3.1~),
+               qtscript5-private-dev (>= 5.3.1~)
 Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtquick1.git

## qtquick1-opensource-src 5.3.2

=== debian/changelog ===
qtquick1-opensource-src (5.3.2-3~bpo70+1) wheezy-backports; urgency=medium

  * Upload to wheezy-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 08 Oct 2014 13:07:51 -0300

qtquick1-opensource-src (5.3.2-3) unstable; urgency=medium

  * Do not ship CMake files for plugins, we don't need them.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 24 Sep 2014 22:59:28 -0300

qtquick1-opensource-src (5.3.2-2) unstable; urgency=medium

  * Update symbols files with buildds' logs.
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 22 Sep 2014 19:53:03 -0300

qtquick1-opensource-src (5.3.2-1) experimental; urgency=medium

  * New upstream release.
  * Update symbols files with buildds's logs.
  * Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 17 Sep 2014 13:58:48 -0300

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,9 @@
 	# libtool-like files
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 
+	# Remove CMake files for plugins, we don't need to ship them.
+	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5Declarative/*Plugin.cmake
+
 	# Fix wrong path in pkgconfig files
 	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
 	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;

## qtquick1-opensource-src 5.4.1

=== debian/changelog ===
qtquick1-opensource-src (5.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.4.1.
  * Update debian/watch to use https://download.qt.io/.
  * Update mark_private_symbols.sh to the latest version.
  * Mark destructors symbols missing in GCC 5 optional (closes: #778092).
  * Clean debian/copyright a bit up.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 03 Mar 2015 15:20:05 +0300

qtquick1-opensource-src (5.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.4.0.
  * Update debian/copyright.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Add myself to Uploaders.
  * Update Vcs-Browser field to point to cgit interface.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 27 Dec 2014 18:37:19 +0300

=== debian/control ===
--- 
+++ 
@@ -7,25 +7,26 @@
            Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Timo Jyrinki <timo@debian.org>
+           Timo Jyrinki <timo@debian.org>,
+           Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                libgstreamer-plugins-base0.10-dev,
                libgstreamer0.10-dev,
                libicu-dev,
-               libqt5opengl5-dev (>= 5.3.1+dfsg-2~),
-               libqt5webkit5-dev (>= 5.3.1+dfsg~),
+               libqt5opengl5-dev (>= 5.4.1+dfsg~),
+               libqt5webkit5-dev (>= 5.4.1+dfsg~),
                libsqlite3-dev,
                libxml2-dev,
                libxslt1-dev,
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.3.1+dfsg-1~),
-               qtdeclarative5-private-dev (>= 5.3.1~),
-               qtscript5-private-dev (>= 5.3.1~)
-Standards-Version: 3.9.5
+               qtbase5-private-dev (>= 5.4.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.4.1~),
+               qtscript5-private-dev (>= 5.4.1+dfsg~)
+Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtquick1.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtquick1.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtquick1.git
 
 Package: libqt5declarative5
 Architecture: any

## qtquick1-opensource-src 5.4.2

=== debian/changelog ===
qtquick1-opensource-src (5.4.2-3) unstable; urgency=medium

  * Update symbols files with current build log against gcc5.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 09 Aug 2015 16:33:16 -0300

qtquick1-opensource-src (5.4.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 24 Jun 2015 11:44:30 -0300

qtquick1-opensource-src (5.4.2-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Remove some obsolete sparc-specific symbols.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Clear up the list in Uploaders removing people who hasn't committed to the
    repo in more than a year. They can re add themselves whenever they want
    (and we really hope to see you back really soon!).
  * Use pkgkde-mark-private-symbols from pkg-kde-tools 0.15.17.
    - Update debian/copyright accordingly.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 03 Jun 2015 14:57:06 -0300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>,
-           Modestas Vainius <modax@debian.org>,
-           Sune Vuorela <debian@pusling.com>,
+Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
@@ -14,15 +12,15 @@
                libgstreamer-plugins-base0.10-dev,
                libgstreamer0.10-dev,
                libicu-dev,
-               libqt5opengl5-dev (>= 5.4.1+dfsg~),
-               libqt5webkit5-dev (>= 5.4.1+dfsg~),
+               libqt5opengl5-dev (>= 5.4.2+dfsg~),
+               libqt5webkit5-dev (>= 5.4.2+dfsg~),
                libsqlite3-dev,
                libxml2-dev,
                libxslt1-dev,
-               pkg-kde-tools,
-               qtbase5-private-dev (>= 5.4.1+dfsg~),
-               qtdeclarative5-private-dev (>= 5.4.1~),
-               qtscript5-private-dev (>= 5.4.1+dfsg~)
+               pkg-kde-tools (>= 0.15.17),
+               qtbase5-private-dev (>= 5.4.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.4.2~),
+               qtscript5-private-dev (>= 5.4.2+dfsg~)
 Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtquick1.git

=== debian/rules ===
--- 
+++ 
@@ -32,5 +32,5 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs
-	# Check for private symbols not marked as such. Be verbose.
-	DEBUG=1 debian/mark_private_symbols.sh
+	# Check for private symbols not marked as such.
+	pkgkde-mark-private-symbols debian/qtquick1-5-private-dev/usr/include

## qtquick1-opensource-src 5.5.1

=== debian/changelog ===
qtquick1-opensource-src (5.5.1-2build1) xenial; urgency=medium

  * Rebuild against Qt 5.5.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 30 Nov 2015 16:22:07 +0200

qtquick1-opensource-src (5.5.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildd's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 21 Oct 2015 16:23:43 -0300

qtquick1-opensource-src (5.5.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Remove GStreamer-related build dependencies. They are not used
    in the code, possibly some left over of wrong linking flags
    from othe package.
  * Do not ship private headers anymore. We are not using them.
    - Do not create qtquick1-abi-x-y-x anymore.
    - Keep marking private symbols as such. It makes maintaining them easier.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 19 Oct 2015 15:01:29 -0300

qtquick1-opensource-src (5.5.0-1) experimental; urgency=medium

  * New upstream release.
  * This module is now deprecated. Move to oldlibs section.
  * Bump Qt build-dependencies to 5.5.0.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 30 Aug 2015 16:36:53 +0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: qtquick1-opensource-src
-Section: libs
+Section: oldlibs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
@@ -9,18 +9,16 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
-               libgstreamer-plugins-base0.10-dev,
-               libgstreamer0.10-dev,
                libicu-dev,
-               libqt5opengl5-dev (>= 5.4.2+dfsg~),
-               libqt5webkit5-dev (>= 5.4.2+dfsg~),
+               libqt5opengl5-dev (>= 5.5.1+dfsg~),
+               libqt5webkit5-dev (>= 5.5.1+dfsg~),
                libsqlite3-dev,
                libxml2-dev,
                libxslt1-dev,
                pkg-kde-tools (>= 0.15.17),
-               qtbase5-private-dev (>= 5.4.2+dfsg~),
-               qtdeclarative5-private-dev (>= 5.4.2~),
-               qtscript5-private-dev (>= 5.4.2+dfsg~)
+               qtbase5-private-dev (>= 5.5.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.5.1~),
+               qtscript5-private-dev (>= 5.5.1+dfsg~)
 Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtquick1.git
@@ -31,7 +29,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Provides: qtquick1-abi-5-2-1
 Description: Qt Quick 1 module for Qt 5
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -93,17 +90,6 @@
  This package contains the development files for building
  Qt Quick 1 applications on Qt 5.
 
-Package: qtquick1-5-private-dev
-Architecture: any
-Section: libdevel
-Depends: libqt5declarative5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
-Description: Qt Quick 1 private development files
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the private development files for building
- Qt Quick 1 applications on Qt 5. Use at your own risk.
-
 Package: qtquick1-5-examples
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
--- 
+++ 
@@ -11,11 +11,24 @@
 %:
 	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtquick1-5-dbg
 
+override_dh_clean:
+	dh_clean
+	# Remove private headers.
+	rm -rfv debian/private-headers
+
 override_dh_auto_configure:
 	qmake 
 
 override_dh_auto_install:
 	dh_auto_install
+
+	# Move private headers out of debian/tmp
+	mkdir -p debian/private-headers
+	mv -v debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtDeclarative/*/QtDeclarative/private/ \
+	      debian/private-headers
+
+	# Remove some other private stuff.
+	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/modules/qt_lib_declarative_private.pri
 
 	# libtool-like files
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
@@ -33,4 +46,4 @@
 override_dh_makeshlibs:
 	dh_makeshlibs
 	# Check for private symbols not marked as such.
-	pkgkde-mark-private-symbols debian/qtquick1-5-private-dev/usr/include
+	pkgkde-mark-private-symbols debian/private-headers

=== debian/watch ===
version=3
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtquick1-opensource-src-([^-]*)\.tar\.xz
